Search files
- GET
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /files
- /search
Search files in the pipeline filesystem with path and content filters, and get back the list of matching files with their details.
Request example
CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/files/search" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
EXAMPLE RESPONSE
{
"files": [
{
"path": "app/docs/report.txt",
"matched_lines": [
{
"line_number": 2,
"line_text": "line with pattern Y"
}
]
}
]
}STATUS
200 OK